
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org GSM SMS Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.GSM.SMS</h1><h2>Description</h2>
<p>org.freesmartphone.GSM.SMS is a high level interface for  textual Short Message Service (SMS). If you have special  requirements or need direct access to individual messages,  you may use the corresponding SMS functions provided by  org.freesmartphone.GSM.SIM.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.GSM.SMS</tt></p>
<h2>Methods</h2><ul>
<li><a href="#RetrieveTextMessages">RetrieveTextMessages</a></li>
<li><a href="#GetSizeForTextMessage">GetSizeForTextMessage</a></li>
<li><a href="#SendTextMessage">SendTextMessage</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#IncomingTextMessage">IncomingTextMessage</a></li>
<li><a href="#IncomingMessageReport">IncomingMessageReport</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="RetrieveTextMessages">RetrieveTextMessages</a> ( ) &rarr; a(issssa{sv})</h3>
<p><i>Description:</i> Retrieve all text messages. </p><h4>Returns</h4><i>a(issssa{sv}): messages</i><p>Messages matching the given category. This is an array of four-tuples. Every entry has the following structure:  <ul>  <li>(int:index) = storage index,</li>  <li>(string:status) = status of message, one of ("read", "unread", "sent", "unsent"),</li>  <li>(string:number) = sender number.</li>  <li>(string:timestamp) = timestamp.</li>  <li>(string:content) = contents of the message.</li>  </ul> </p>
<h3><a name="GetSizeForTextMessage">GetSizeForTextMessage</a> ( s ) &rarr; u</h3>
<p><i>Description:</i> Calculates the number of GSM Short Messages necessary to deliver a given text. </p><h4>Parameters</h4><i>s: contents</i><p>The contents of the message. </p><h4>Returns</h4><i>u: messages</i><p>The number of SMS to be sent, if this message were to be delivered. </p>
<h3><a name="SendTextMessage">SendTextMessage</a> ( ssb ) &rarr; is</h3>
<p><i>Description:</i> Sends a text message via the GSM Short Message Service (SMS) </p><p><div class="rationale"><p>Text messages can be of unlimited length. They might get fragmented by the  underlying message transport layers though. This will happen transparently. </p></div></p><h4>Parameters</h4><i>s: recipient_number</i><p>The number of the recipient. </p><i>s: contents</i><p>The contents of the message. </p><i>b: report</i><p>If true, status reports (message receipts) will be sent by the  SMS Center, delivered via the <a href="http://docs.freesmartphone.org/org.freesmartphone.GSM.SMS.html#IncomingMessageReceipt">IncomingMessageReceipt</a> signal. </p><h4>Returns</h4><i>i: reference</i><p>This is the message-reference number of this message.  This can be used to identify status reports. </p><i>s: timestamp</i><p>The timestamp this message was received by the SMSC. </p>
<h1>Signals</h1><h3><h3><a name="IncomingTextMessage">IncomingTextMessage</a> ( sss )</h3><p><i>Description:</i> Sent, when a text message has been received. </p><h4>Parameters</h4><i>s: number</i><p>The number of the sender. </p><i>s: timestamp</i><p>The timestamp of the message. </p><i>s: contents</i><p>The contents of the message. </p></h3>
<h3><h3><a name="IncomingMessageReport">IncomingMessageReport</a> ( isss )</h3><p><i>Description:</i> Sent when a status report for a message has been received. </p><h4>Parameters</h4><i>i: reference</i><p>The message-reference number as returned by <a href="http://docs.freesmartphone.org/org.freesmartphone.GSM.SMS.html#SendTextMessage">SendTextMessage</a> </p><i>s: status</i><p>The status. Expected values are:  <ul>  <li>COMPLETED_RECEIVED</li>  <li>COMPLETED_UNABLE_TO_CONFIRM</li>  <li>COMPLETED_REPLACED</li>  <li>COMPLETED_LAST</li>  <li>TEMPORARY_CONGESTION</li>  <li>TEMPORARY_SME_BUSY</li>  <li>TEMPORARY_NO_RESPONSE</li>  <li>TEMPORARY_SERVICE_REJECTED</li>  <li>TEMPORARY_QOS_UNAVAILABLE</li>  <li>TEMPORARY_SME_ERROR</li>  <li>TEMPORARY_LAST</li>  <li>PERMANENT_RP_ERROR</li>  <li>PERMANENT_INVALID_DESTINATION</li>  <li>PERMANENT_CONNECTION_REJECTED</li>  <li>PERMANENT_NOT_OBTAINABLE</li>  <li>PERMANENT_QOS_UNAVAILABLE</li>  <li>PERMANENT_INTERWORKING_UNAVAILABLE</li>  <li>PERMANENT_VALIDITY_PERIOD_EXPIRED</li>  <li>PERMANENT_DELETED</li>  <li>PERMANENT_SC_ADMIN_DELETED</li>  <li>PERMANENT_SM_DOES_NOT_EXIST</li>  <li>PERMANENT_LAST</li>  <li>TEMPFINAL_CONGESTION</li>  <li>TEMPFINAL_SME_BUSY</li>  <li>TEMPFINAL_NO_RESPONSE</li>  <li>TEMPFINAL_SERVICE_REJECTED</li>  <li>TEMPFINAL_QOS_UNAVAILABLE</li>  <li>TEMPFINAL_SME_ERROR</li>  <li>TEMPFINAL_LAST  </ul> </p><i>s: sender_number</i><p>The number of the sender. </p><i>s: contents</i><p>Optional contents of the receipt. Will usually be empty. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

